| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

Functions
Convert 8-bit Integer value
Support Functions

## Functions

void | arm_q7_to_float (q7_t *pSrc, float32_t *pDst, uint32_t blockSize)
| Converts the elements of the Q7 vector to floating-point vector.
void | arm_q7_to_q15 (q7_t *pSrc, q15_t *pDst, uint32_t blockSize)
| Converts the elements of the Q7 vector to Q15 vector.
void | arm_q7_to_q31 (q7_t *pSrc, q31_t *pDst, uint32_t blockSize)
| Converts the elements of the Q7 vector to Q31 vector.

## Function Documentation

void arm_q7_to_float | ( | q7_t * | pSrc,
|  | float32_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters:

  [in] | *pSrc | points to the Q7 input vector
  [out] | *pDst | points to the floating-point output vector
  [in] | blockSize | length of the input vector

Returns:
  none.

Description:

The equation used for the conversion process is:

     	pDst[n] = (float32_t) pSrc[n] / 128;   0 <= n < blockSize.

References blockSize.

void arm_q7_to_q15 | ( | q7_t * | pSrc,
|  | q15_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters:

  [in] | *pSrc | points to the Q7 input vector
  [out] | *pDst | points to the Q15 output vector
  [in] | blockSize | length of the input vector

Returns:
  none.

Description:

The equation used for the conversion process is:

     	pDst[n] = (q15_t) pSrc[n] << 8;   0 <= n < blockSize.

References __SIMD32, and blockSize.

void arm_q7_to_q31 | ( | q7_t * | pSrc,
|  | q31_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters:

  [in] | *pSrc | points to the Q7 input vector
  [out] | *pDst | points to the Q31 output vector
  [in] | blockSize | length of the input vector

Returns:
  none.

Description:

The equation used for the conversion process is:

     	pDst[n] = (q31_t) pSrc[n] << 24;   0 <= n < blockSize.

References __SIMD32, and blockSize.